# List all check returns

**GET** `/transfers/checks/returns`

Retrieve the return processing details of all check returns under your platform, including returns created by you and other financial institutions.

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/checks/returns' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "returns": [
    {
      "cancelled_at": null,
      "check_transfer_id": "chkt_2Mk9STaPIGvIPJFy2DTBmcQhGWr",
      "created_at": "2023-03-08T19:22:01Z",
      "id": "chrt_2MkEkAVdv0Cc80AJAzgq5QxXEk5",
      "pending_review_at": null,
      "processed_at": "2023-03-08T21:00:33Z",
      "return_reason": "Q",
      "status": "processed",
      "updated_at": "2023-03-08T21:00:33Z"
    },
    {
      "cancelled_at": null,
      "check_transfer_id": "chkt_2NcKdWa6FQZ9wZ8ZNX8gijPjGXU",
      "created_at": "2023-03-27T23:00:17Z",
      "id": "chrt_2NcKdYxShVu8tl8DAxNPljMbdeG",
      "pending_review_at": null,
      "processed_at": "2023-03-28T00:00:31Z",
      "return_reason": "Y",
      "status": "processed",
      "updated_at": "2023-03-28T00:00:31Z"
    }
  ],
  "has_more": false
}
```
